<cfcomponent extends="Cache">
	<cfset fields = array(
		field(displayName = "Master name",
			name = "masterName",
			defaultValue = "",
			required = true,
			description = "Sentinel master name",
			type = "text"
			),
		field(displayName = "Sentinels",
			name = "sentinels",
			defaultValue = "localhost:26379",
			required = true,
			description = "Sentinels",
			type = "textarea"
		),
		field(
			displayName = "Namespace",
			name = "namespace",
			defaultValue = "lucee:cache",
			required = true,
			description = "Keys namespace. Be sure that any cache use a unique namespace to avoid keys names clashing."
		)
	)>

	<cffunction name="getClass" returntype="string">
		<cfreturn "lucee.extension.io.cache.redis.RedisSentinelCache">
	</cffunction>

	<cffunction name="getLabel" returntype="string" output="no">
		<cfreturn "Redis Sentinel driver (BETA)">
	</cffunction>

	<cffunction name="getDescription" returntype="string" output="no">
		<cfreturn "Free and open source, high-performance, distributed memory object caching system, generic in nature, but intended for use in speeding up dynamic web applications by alleviating database load.">
	</cffunction>

</cfcomponent>